package kr.pe.kkaok.mycount.command.sub;

import java.io.PrintWriter;
import kr.pe.kkaok.mycount.dao.KMyCountDAOFactory;
import kr.pe.kkaok.mycount.dao.KMyCountDAO;
 
/**
 * @author kkaok
 * @version  ī v2.4<br>
 * Copyright kkaok, All Rights Reserved.
 */
public abstract class SubCommand 
{ 
    protected KMyCountDAO dao;
    protected int SDATE;
    protected int EDATE;
    protected PrintWriter out;
    protected String dateTerm;
    protected String contextRoot;
    
    public SubCommand(int SDATE, int EDATE,PrintWriter out, String contextRoot) throws Exception 
    {
        this.SDATE = SDATE;
        this.EDATE = EDATE;
        this.out = out;
        this.contextRoot = contextRoot;
        
        dao = KMyCountDAOFactory.getDAO();

        String sdtemp  = Integer.toString(SDATE);
        String edtemp  = Integer.toString(EDATE);
        if(SDATE==EDATE) dateTerm = sdtemp.substring(0,4) + " " +sdtemp.substring(4,6) + " " +sdtemp.substring(6,8) + "";
        else dateTerm = sdtemp.substring(0,4) + " " +sdtemp.substring(4,6) + " " +sdtemp.substring(6,8) + " ~ " +edtemp.substring(0,4) + " " +edtemp.substring(4,6) + " " +edtemp.substring(6,8) + "";
    }
    public SubCommand(PrintWriter out, String contextRoot) throws Exception 
    {
        this.out = out;
        this.contextRoot = contextRoot;
 
        dao = KMyCountDAOFactory.getDAO();
    }
    public abstract void exec() throws Exception;
}