/*
 * Author(s) kkaok 
 * Date: 2003.03.14
 * Copyright kkaok,  All Rights Reserved.
 */
package kr.pe.kkaok.mycount.dao;

public interface KMyCountDAO
{
    public void plusNewCount(CountTable cTable) throws Exception;
    public CountManager getStatistics(int makeToday) throws Exception;
    public int getTotal() throws Exception;
    public int getToday(int makeToday) throws Exception;
    public int getPrevDay(int makeToday,int makePrevDay) throws Exception;
    public PlotData getBrowser(int sdate,int edate) throws Exception;
    public PlotData getOs(int sdate,int edate) throws Exception;
    public PlotData getIpData(int sdate,int edate) throws Exception;
    public PlotData getRefererData(int sdate,int edate) throws Exception;
    public PlotData getYearData(int SINCE_YEAR,int NOW_YEAR) throws Exception;
    public PlotData getMonthData(int thisYear,int startMonth,int endMonth) throws Exception;
    public int getPrevYearCnt(int thisYear) throws Exception;
    public PlotData getDayData(int thisYear,int thisMonth) throws Exception;
    public int getTotalSum(int cmakeToday) throws Exception;
    public String getInfo(int cmakeToday,int gotoPage,int pageSize,int recordCount) throws Exception;
    public PlotData getWeeklyCnt() throws Exception;
}
