package kr.pe.kkaok.mycount.dao;

import java.util.ResourceBundle;

/**
 * KMyCountDAOFactory
 * ⿡ resourceBundle dbType ͼ شǴ  ȯѴ.<br>
 * @author kkaok
 * @version ī v2.4<br>
 * Copyright kkaok, All Rights Reserved.
 */
public class KMyCountDAOFactory 
{
	public static KMyCountDAO getDAO() throws Exception 
	{
        ResourceBundle bundle = null;
        bundle = ResourceBundle.getBundle("Res_Infomation");
        String dbType = (String)bundle.getString("dbType");

		if (dbType.equals("oracle")) {
			return new OraKCountDAOImpl();
		} else if (dbType.equals("mysql")) {
			return new MyKCountDAOImpl();
		} else if (dbType.equals("mssql")) {
			return new MsKCountDAOImpl();
		} else {
			throw new Exception("dbType: " + dbType + " NOT IMPLEMENTED");
		} 
    }
}