package kr.pe.kkaok.mycount.util;

import java.io.PrintWriter;

/*
 * Author(s) kkaok
 * Date: 2003.03.14
 * Copyright kkaok,  All Rights Reserved.
 */
public class CountHtmlPrintImpl implements CountHtmlPrint
{
    public void printHeader(PrintWriter out) throws Exception
    {
        out.println("<html>");
        out.println("<head>");
        out.println("<title>counter</title>");
        out.println("<style>");
        out.println("<!--");
        out.println("BODY {font-size:8pt; font-family:'ü',arial; color:#4B4B4B}");
        out.println("table {font-size:8pt; font-family:'ü',arial,verdana;color:#4B4B4B}");
        out.println("P,TD,SELECT,DIV,input,form,TEXTAREA,center,option,pre,blockquote {font-size:8pt; font-family:tahoma;} ");
        out.println("img {border: none}");
        out.println(".counter_title { font-size:12; font-family:Trebuchet MS,Palatino Linotype,Impact;color:#4B4B4B;}");
        out.println(".inputbox { font-size:8pt; font-family:tahoma; height:16px; border:none; border-bottom:#FFFFFF solid 1px; background:#000000;color:#4B4B4B;font-weight: bold;}");
        out.println(".counter_button { font-size:8pt; font-family:tahoma; height:16px; border:none; border:#FFFFFF solid 1px; background:#000000;color:#4B4B4B;}");
        out.println("A { color:#262626; font-weight:bold; text-decoration:none; font-family:arial;}");
        out.println("A:hover {color:red; font-weight:bold;text-decoration:underlin; font-family:arial;}");
        out.println("input {color:#262626;font-size:9pt;border-bottom:#dddddd 1px solid;border-top:#f4f4f4 1px solid;border-right:#f4f4f4 1px solid;border-left:#f4f4f4 1px solid;background-color:#f4f4f4}");
        out.println("-->");
        out.println("</style>");
        out.println("</head>");
        out.println("<body leftmargin='0' topmargin='0' marginwidth='0' marginheight='0' bgcolor=#666666>");
    }
    
    public void printMenu(PrintWriter out, String contextRoot) throws Exception
    {
        out.println("<table width=100% cellpadding=0 cellspacing=0 border=0>");
        out.println("   <tr><td width=504 height=9 background='"+contextRoot+"/kcount/images/top.gif'></td></tr>");
        out.println("   <tr><td width=504 background='"+contextRoot+"/kcount/images/middle.gif' align=center>");
        out.println("       <table width=480 cellpadding=3 cellspacing=0 border=0>");
        out.println("           <tr BGCOLOR=#FFFFFF>");
        out.println("               <td><span class=counter_title>&nbsp;<b>KKAOK</b> counter</span></td>");
        out.println("               <td align=right>");
        out.println("                   <a href='"+contextRoot+"/servlet/KCount?sta=all'>Total</a> | ");
        out.println("                   <a href='"+contextRoot+"/servlet/KCount?sta=year'>yearly</a> | ");
        out.println("                   <a href='"+contextRoot+"/servlet/KCount?sta=month'>Monthly</a> | ");
        out.println("                   <a href='"+contextRoot+"/servlet/KCount?sta=day'>daily</a> | ");
        out.println("                   <a href='"+contextRoot+"/servlet/KCount?sta=dayOfweek'>day of week</a> | ");
        out.println("                   <a href='"+contextRoot+"/servlet/KCount?sta=ipNagent'>Daily IP/Agent</a>");
        out.println("               </td>");
        out.println("           </tr>");
        out.println("           <tr bgcolor='#DDDDDD' height=1>");
        out.println("               <td colspan=2></td>");
        out.println("           </tr>");
    }
    
    public void printBottom(PrintWriter out, String contextRoot) throws Exception
    {
        out.println("           <TR height=10><TD colspan=2></td></tr>");
        out.println("           <TR height=1 bgcolor=#dddddd><TD colspan=2></TD></TR>");
        out.println("       </table>");
        out.println("   </td></TR>");
        out.println("</table>");
        out.println("</td></tr>");
        out.println("<tr><td width=504 height=22 background='"+contextRoot+"/kcount/images/bottom.gif'></td></tr>");
        out.println("</table>");
        out.println("</body>");
        out.println("</html>");
    }
}