package kr.pe.kkaok.util;

/**
 * Ű õ util 
 * @author kkaok
 * @version ⺸ v2.4.1<br>
 * Copyright kkaok, All Rights Reserved.
 */
public class CookieUtil {
    /**
     * Ű <br>
     * @param response
     * @param name Ű
     * @param value Ű
     */
    public static void setCookie(javax.servlet.http.HttpServletResponse response, String name, String value) 
            throws Exception
    {
        value = java.net.URLEncoder.encode(value,"MS949");
        javax.servlet.http.Cookie cookie = new javax.servlet.http.Cookie(name, value);
        cookie.setMaxAge(60*60*24*3000);
        response.addCookie(cookie);
    }
    
    /**
     * Ű <br>
     * @param response
     * @param name Ű
     * @param value Ű
     * @param uri  
     */
    public static void setCookie(javax.servlet.http.HttpServletResponse response, String name, String value,String uri) 
            throws Exception
    {
        value = java.net.URLEncoder.encode(value,"MS949");
        javax.servlet.http.Cookie cookie = new javax.servlet.http.Cookie(name, value);
        cookie.setPath(uri);
        cookie.setMaxAge(60*60*24*3000);
        response.addCookie(cookie);
    }
    
    /**
     * Ű 
     * @param request
     * @param cookieName Ű
     * @return String Ű
     */
    public static String getCookie(javax.servlet.http.HttpServletRequest request, String cookieName) 
            throws Exception
    {
        javax.servlet.http.Cookie [] cookies = request.getCookies();
        String value = "";
        for(int i=0;i<cookies.length;i++) {
            if(cookieName.equals(cookies[i].getName())) {
                value = java.net.URLDecoder.decode(cookies[i].getValue(),"MS949");
                break;
            }
        }
        return value;
    }
}
