package kr.pe.kkaok.util;

/**
 * Request Parameter null ó  
 * @author kkaok
 * @version ⺸ v2.4.1<br>
 * Copyright kkaok, All Rights Reserved.
 */
public class ParamUtil {
    /**
     * Request ó<br>
     * Request  null̶ ι° ڰ ü Ѵ.
     * @param Req Request
     * @param ifNulltoReplace ü 
     * @return String 
     */
    public static String getReqParameter(String Req,String ifNulltoReplace ) {
        if ( Req == null || Req.equals("")) return ifNulltoReplace;
        else return Req.trim();
    }
    /**
     * Request ó<br>
     * Request  null̶ "" ü Ѵ.
     * @param Req Request
     * @return String 
     */
    public static String getReqParameter(String Req ) {
        if (Req == null || Req.equals("")) return "";
        else               return Req.trim();
    }
    /**
     * Request ó<br>
     * Request  null̶ ifNulltoReplace ü Ѵ.<br>
     * Request  null ƴ϶ Integer ȯϿ returnѴ.
     * @param Req Request
     * @param ifNulltoReplace ü
     * @return int 
     */
    public static int getIntParameter(String Req,int ifNulltoReplace ) {
        try {
            if ( Req == null || Req.equals("")) return ifNulltoReplace;
            else               return Integer.parseInt(Req.toString());
        }catch(NumberFormatException e){
            return ifNulltoReplace;
        }
    }
    /**
     * Request ó<br>
     * Request  null̶ 0 ü Ѵ.<br>
     * Request  null ƴ϶ Integer ȯϿ returnѴ.
     * @param Req Request
     * @return int 
     */
    public static int getIntParameter(String Req ) {
        try {
            if (Req == null || Req.equals("")) return 0;
            else               return Integer.parseInt(Req.toString());
        }catch(NumberFormatException e){
            return 0;
        }
    }
}
