CREATE TABLE kcount ( 
 idx number(8) not null,
 cdate number(8), 
 ctime number(4), 
 dayofweek number(1), 
 ip varchar2(20),
 referer varchar2(200),
 browser varchar2(20),
 os varchar2(20),
 constraint kcount_pk_idx Primary Key (idx)  
 );

create index kcount_cdate_indx on kcount(cdate);
create index kcount_dayofweek_indx on kcount(dayofweek);

create sequence sq_kcount_idx INCREMENT BY 1;
