package kr.pe.kkaok.jdbc;

import java.sql.Connection;
import java.sql.Statement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import javax.sql.DataSource;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 * Ŀؼ  
 * @author kkaok
 * @version ⺸ v2.4.1<br>
 * Copyright kkaok, All Rights Reserved.
 */
public class DBManager
{

    /**
     * JNDI ̿Ͽ Ŀؼ ϳ ´.
     * @return Connection 
     */
	public static Connection getConnection() throws NamingException, SQLException 
	{
        Context initCtx = new InitialContext();
        Context envCtx = (Context) initCtx.lookup("java:comp/env");
        DataSource ds = (DataSource) envCtx.lookup("jdbc/count");
        return ds.getConnection();
	}
	
    /**
     * Ŀؼ ȯ
     * @param rs
     * @param pstmt
     * @param conn
     */
	public static void close(ResultSet rs, PreparedStatement pstmt, Connection conn) 
	{
		try { if (rs != null) rs.close(); } catch (Exception e) {}
		try { if (pstmt != null) pstmt.close(); } catch (Exception e) {}
		try { if (conn != null) conn.close(); } catch (Exception e) {}
	}

    /**
     * Ŀؼ ȯ
     * @param pstmt
     * @param conn
     */
	public static void close(PreparedStatement pstmt, Connection conn) 
	{
		try { if (pstmt != null) pstmt.close(); } catch (Exception e) {}
		try { if (conn != null) conn.close(); } catch (Exception e) {}
	}

    /**
     * Ŀؼ ȯ
     * @param stmt
     * @param conn
     */
	public static void close(Statement stmt, Connection conn) 
	{
		try { if (stmt != null) stmt.close(); } catch (Exception e) {}
		try { if (conn != null) conn.close(); } catch (Exception e) {}
	}
}