package kr.pe.kkaok.mycount.command.sub;

import java.util.List;
import java.io.PrintWriter;
import kr.pe.kkaok.mycount.dao.DataItem;
import kr.pe.kkaok.mycount.dao.PlotData;
import kr.pe.kkaok.util.Utility;

/**
 * @author kkaok
 * @version  ī v2.4<br>
 * Copyright kkaok, All Rights Reserved.
 */
public class REFStatisticsImpl extends SubCommand
{
    public REFStatisticsImpl(int SDATE, int EDATE,
            PrintWriter out, String contextRoot) throws Exception 
    {
        super(SDATE, EDATE, out, contextRoot);
    }

    public void exec() throws Exception
    {
        PlotData data = dao.getRefererData(SDATE,EDATE);
        
        out.println("   <table width=100% cellspacing=0 cellpadding=1>");
        out.println("     <TR height=10><TD colspan=2></TD></TR>");
        out.println("     <tr style='font-weight: bold;' height=20><td colspan=2>REFERER ["+dateTerm+"]</td></TR>");
        out.println("     <TR height=1 bgcolor=#dddddd><TD colspan=2></TD></TR>");
        out.println("     <TR height=10><TD colspan=2></TD></TR>");
        DataItem items = null;
        List dataList = (List)data.getDataItems();
        for (int k=0;k<dataList.size();k++){
            items = (DataItem)dataList.get(k);
            if ((items.getLabel() != null) && (!items.getLabel().equals(""))) {
                out.println("<TR><TD width=250 align=right><a href='"+items.getLabel()+"' target=_blank>");
                out.println(Utility.getTitleLimit(items.getLabel(),38));
                out.println("</a>&nbsp;</TD><TD width=230><img src='"+contextRoot+"/kcount/images/graph.gif' height=10 ");
                out.println("width="+(int)(((float)items.getValue()/(float)data.maxValue())*80)+"%");
                out.println(" ><span style='font-size:7pt;'> <b>"+items.getValue()+"</b></span></TD></TR>"); 
            }
        }
    }
}