package kr.pe.kkaok.mycount.dao;

import java.util.List;
import java.util.ArrayList;

/**
 * @author kkaok
 * @version  ī v2.4<br>
 * Copyright kkaok, All Rights Reserved.
 */
public class PlotData
{
    List dataItems;
    int total;
    int max;
    int avg;
    String maxLabel;
    
    PlotData()
    {
        dataItems = new ArrayList();
        total = 0;
        max   = 0;
        maxLabel = "";
    }
    
    /**
     * DataItem DBκ ҷ  ϰ ִ밪 ִ밪 ¥, ü  Ѵ.
     * @param item  ̸  ѽ DataItem ȴ.
     */
    public void addElement(DataItem item)
    {
        dataItems.add(item);
        total += item.getValue();
        if(item.getValue() > max) {
            max = item.getValue();
            maxLabel = item.getLabel();
        }
    }
  
    /**
     * ó ͸  ޼ҵ̴.
     * @return dataItems ȯϸ ̾ȿ ͸ ش.
     */
    public List getDataItems()
    {
        return dataItems;
    }

    /**
     *  ũ⸦ ȯѴ.
     * @return dataItems.size();
     */
    public int size() {return dataItems.size();}
    /**
     * ü  ȯѴ.
     * @return total
     */
    public int total() {
        if (total==0) total=1;
        return total;
    }
    /**
     * ִ밪 ȯѴ.
     * @return max
     */
    public int maxValue() {
        if (max==0) max=1;
        return max;
    }
    /**
     * ִ밪 ¥ ȯѴ.
     * @return maxLabel
     */
    public String maxLabelStr() {return maxLabel;}
    /**
     * հ ¥ ȯѴ.
     * @return (int)(Math.round(total/tt))
     */
    public int avgValue() {
        int tt = this.size();
        if (tt == 0) return 0;
        else return (int)(Math.round(total/tt));
    }
}