package kr.pe.kkaok.util;

/**
 *  util 
 * @author kkaok
 * @version ⺸ v2.4.1<br>
 * Copyright kkaok, All Rights Reserved.
 */
public class Utility {

    /**
     *  ڰ ٸ "checked" ȯ
     * @param s DB  
     * @param word  
     * @return String 
     */
    public static String getChecked(String s,String word) {
        return s.equals(word) ? "checked" : "";
    }
    
    /**
     *  ڰ ٸ "selected" ȯ
     * @param s DB  
     * @param word  
     * @return String 
     */
    public static String getSelected(String s,String word) {
        return s.equals(word) ? "selected" : "";
    }
    
    /**
     *  ڰ ٸ "checked" ȯ
     * @param s DB  
     * @param w  
     * @return int 
     */
    public static String getChecked(int s,int w) {
        return (s==w)? "checked" : "";
    }
    
    /**
     *  ڰ ٸ "selected" ȯ
     * @param s DB  
     * @param w  
     * @return int 
     */
    public static String getSelected(int s,int w) {
        return (s==w)? "selected" : "";
    }

    /**
     *   ڸ(亯 Խǿ ó)
     * @param title 
     * @param maxNum ִ 
     * @param re_level 亯
     * @return String ó 
     */
    public static String getTitleLimit(String title,int maxNum,int re_level) {
        int blankLen = 0;
        if(re_level != 0){
            blankLen = (re_level +1)*2;
        }
        int tLen =title.length();
        int count = 0;  
        char c;
        int s=0;
        for(s=0;s<tLen;s++){
            c = title.charAt(s);
            if((int)(count) > (int)(maxNum-blankLen)) break;
            if(c>127) count +=2;
            else count ++;
        }     
        return (tLen >s)? title.substring(0,s)+"..." : title;
    }

    /**
     *   ڸ(Ϲ Խǿ ó)
     * @param title 
     * @param maxNum ִ 
     * @return String ó 
     */
    public static String getTitleLimit(String title,int maxNum) {
        int tLen =title.length();
        int count = 0;  
        char c;
        int s=0;
        for(s=0;s<tLen;s++){
            c = title.charAt(s);
            if(count > maxNum) break;
            if(c>127) count +=2;
            else count ++;
        }     
        return (tLen >s)? title.substring(0,s)+"..." : title;
    }

    /**
     * ü  ϱ
     * @param rc ü ڵ
     * @param ps ٷ ϴ ũ
     * @return int ü 
     */
    public static int getTotal(int rc,int ps){
        int t = (int)((rc-1)/ps)+1;
        if(t == 0) t = 1 ;
        return t; 
    }
}